.table-scroll-container {
  position: relative;
  overflow: hidden;
  padding-bottom: 15px;
}

.table-scroll-container .text-overflow {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  display: block;
}

.table-scroll-container .table-scroll-prev, .table-scroll-container .table-scroll-next {
  position: absolute;
  bottom: 0px;
  z-index: 99999;
  background-color: transparent;
  border: 0;
  width: 32px;
  height: 32px;
  padding: 0;
}

.table-scroll-container.table-hover-enabled .table-scroll-prev, .table-scroll-container.table-hover-enabled .table-scroll-next {
  top: 28px;
  bottom: unset;
  margin-top: -16px;
  display: none;
}

.table-scroll-container.table-hover-enabled:hover .table-scroll-prev, .table-scroll-container.table-hover-enabled:hover .table-scroll-next {
  display: block;
}

.table-scroll-container .table-scroll-next {
  right: 0;
}

.table-scroll-container .table-move-wrapper {
  position: relative;
  max-width: calc(100% - 100px);
}

.table-scroll-container .table-move {
  position: relative;
  top: 0;
  left: 0;
  transition: transform 0.6s ease;
  max-width: none;
}

.table-scroll-container .column-first {
  opacity: 0.5;
}

.table-scroll-container .table-tr-info,
.table-scroll-container .table-header {
  transition: transform 0.6s ease;
  position: relative;
}

.table-scroll-container .table-header {
  max-width: none;
}

.table-scroll-container .table-frozen {
  z-index: 1000;
  background: #fff;
}

.table-scroll-container .bar {
  width: 50px;
  left: 10px;
  border: 0;
}

.table-scroll-container .bar-green {
  background-color: #59a14f;
}

.table-scroll-container .bar-orange {
  background-color: #f28e2b;
}

.table-scroll-container .bar-red {
  background-color: #e15759;
}

.table-scroll-container .table-tr-info .table-th:first-child,
.table-scroll-container .table-frozen {
  border-left: 1px solid #ddd;
}

.table-scroll-container .table-tr {
  width: 100%;
  border-bottom: 1px solid #ddd;
  overflow: hidden;
  position: relative;
}

.table-scroll-container .table-th,
.table-scroll-container .table-td {
  float: left;
  padding-left: 10px;
  padding-right: 10px;
  width: 70px;
  text-align: center;
  border-right: 1px solid #ddd;
}

.table-scroll-container .table-th.border-right-less,
.table-scroll-container .table-td.border-right-less {
  border-right: 0;
}

.table-scroll-container .table-frozen .table-th,
.table-scroll-container .table-frozen .table-td {
  width: 100%;
}

.table-scroll-container .table-th {
  padding-top: 10px;
  padding-bottom: 10px;
  background-color: #eeecec;
  font-weight: bold;
  height: 40px;
}

.table-scroll-container .table-td-header {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
      align-items: center;
}

.table-scroll-container .table-td {
  position: relative;
  height: 50px;
}

.table-scroll-container .table-td .bar {
  position: absolute;
  bottom: 0;
  max-height: 50px;
}

.table-scroll-container .table-move .table-tr-info .table-th {
  padding: 0;
  height: 25px;
}

.table-scroll-container .table-move .table-tr-info .column-previous {
  text-align: left;
  padding-left: 10px;
}

.table-scroll-container .table-frozen .table-tr-info .table-th {
  height: 65px;
  line-height: 65px;
}

.table-scroll-container .table-cut-off-line {
  border-bottom: 1px solid #929292;
  position: absolute;
  left: 0;
  width: 100%;
  z-index: 555;
}

.table-scroll-container .table-column-num {
  padding-top: 6px;
}

.table-tr-info {
  display: -ms-flexbox;
  display: flex;
  border-top: 2px solid #959595;
}

.table-tr-info .column-previous {
  -ms-flex-positive: 2;
      flex-grow: 2;
}

.zoom {
  z-index: 886;
}

.tooltip-box {
  display: none;
}

.tooltip-box-row {
  margin-bottom: 4px;
}

.tooltip-box-label {
  color: #000000;
  width: 200px;
  display: inline-block;
  vertical-align: top;
  font-weight:bold;
}

.tooltip-box-content {
  color: #3d4c5a;
  width: 120px;
  display: inline-block;
  font-size: 14px;
}

.tooltip.bottom-right {
  z-index: 10000;
  border: 1px solid #dcdcdc;
  background-color: #fff;
}

.tooltip.bottom-right.in {
  opacity: 1;
}

.tooltip.bottom-right .tooltip-arrow {
  display: none;
}

.tooltip.bottom-right .tooltip-inner {
  background-color: #fff;
  max-width: none;
  padding: 15px;
  text-align: left;
}

.table-details-budget .table-th {
  height: 50px;
}

.table-details-budget .table-frozen .table-th,
.table-details-budget .table-frozen .table-td {
  width: auto;
}

.table-details-budget .table-frozen .table-td {
  text-align: left;
}

.table-details-budget .table-frozen .two-lines {
  height: 4rem;
  white-space: pre-wrap;
}

.table-td-header-tall {
    height:180px !important;
}

.table-td-tall {
    height:180px !important;
}

.table-td-tall .bar {
    max-height:180px !important;
}

.egl-table-links {
    font-size: 11px;   
    text-decoration:underline;
    font-weight:bold;
}

.egl-black-link {
    color:#000000;
}

.tooltipflag {
    border : 0px;
    background-color:#FFFFFF;
    text-align:left;
    padding:0px;
}

.custom-tool-tip {
    position:absolute;
    left:0px;
    top:0px;
    background-color:#ffffff;
    z-index:2000;
    padding:20px;
    font-size:12px;
    border: 1px solid #CCCCCC;
    display:none;
}

.table-tr-spaced {
    margin-top: 30px;
    border-top: 1px solid #ddd;
}

.grab-row {
    cursor: -webkit-grab;
    cursor: grab;
    user-select:none;
}